<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
define('IN_DOUCO', true);

$sub = 'detail|user';
$subbox = array(
        "module" => 'point',
        "sub" => $sub
);

$_CUR = 'point';
require (dirname(__FILE__) . '/include/init.php');

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

// 权限验证
$callback = $dou_user->check_login_state(); // 登录验证
if ($callback['msg'] == 'ok') {
    $user_id = $callback['user_id'];
} else {
    $data['wrong'] = $_LANG['login_timeout'];
    die(json_encode($data));
}

// 错误提示初始
$data['wrong'] = '';

/**
 * +----------------------------------------------------------
 * 产品列表
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    // 排序
    $dou_sort = $dou->dou_sort('sales, price, add_time, sort', 'price', 'sort ASC, id DESC', $_REQUEST['b'], $_REQUEST['s']);

    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('product') . " WHERE point > 0" . $dou_sort['sql'];

    // 获取分页信息
    $page = $check->is_number($_REQUEST['page']) ? trim($_REQUEST['page']) : 1;
    $limit = $dou->pager($sql, 10, $page);

    /* 获取搜索结果列表 */
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        // 多语言
        $row = $dou->lang_box($row, 'product', 'name, content, description');

        // 如果描述不存在则自动从详细介绍中截取
        $description = $row['description'] ? $row['description'] : $dou->dou_substr($row['content'], 150, false);

        $product_list[] = array (
                "id" => $row['id'],
                "cat_id" => $row['cat_id'],
                "name" => $row['name'],
                "defined" => $dou->format_defined($row['defined']),
                "price" => $row['price'] > 0 ? $dou->price_format($row['price']) : $_LANG['price_discuss'],
                "thumb" => $dou->dou_file($row['image'], true),
                "image" => $dou->dou_file($row['image']),
                "point" => $row['point'],
                "defined" => $dou->format_defined($row['defined']),
                "add_time" => date("Y-m-d", $row['add_time']),
                "description" => $description,
                "url" => $dou->rewrite_url_miniprogram('product', $row['id']) . '&mode=point',
                "cate_info" => $cate_info_row
        );
    }
 
    // 数据封装
    $data['sql'] = $sql;
    $data['sort_list'] = $dou_sort['field'];
    $data['title'] = $_LANG['point'];
    $data['product_list'] = $product_list;
}

/**
 * +----------------------------------------------------------
 * 商品简介
 * +----------------------------------------------------------
 */
elseif ($rec == 'detail') {
    // 获取ID
    $id = $check->is_number($_REQUEST['id']) ? trim($_REQUEST['id']) : '';
    
    /* 获取详细信息 */
    $product = $dou->get_row('product', '*', "id = '$id'");
 
    // 验证商品是否存在
    if (!$product) {
        // 错误提示
        $data['wrong'] = $_LANG['page_wrong'];
        die(json_encode($data));
    }

    // 格式化数据
    $product['price'] = $product['price'] > 0 ? $dou->price_format($product['price']) : $_LANG['price_discuss'];
    $product['level_price'] = $level_price ? $dou->price_format($level_price) : '';
    $product['add_time'] = date("Y-m-d", $product['add_time']);
    $product['image'] = $dou->dou_file($product['image']);
    $product['gallery_list'] = $dou->get_file_list('product', $id, 'gallery', true);
    $product['model_list'] = $dou->get_model_list($product['model'], $id);

    // 多语言
    $product = $dou->lang_box($product, 'product', 'name, content, keywords, description');
 
    // 数据封装
    $data['title'] = $_LANG['point_detail'];
    $data['product'] = $product;
} 

/**
 * +----------------------------------------------------------
 * 会员中心
 * +----------------------------------------------------------
 */
elseif ($rec == 'user') {
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('user_point') . " WHERE user_id = '$user_id' ORDER BY id DESC";
    
    // 获取分页信息
    $page = $check->is_number($_REQUEST['page']) ? trim($_REQUEST['page']) : 1;
    $limit = $dou->pager($sql, 10, $page);
    
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $log_list[] = array (
                "id" => $row['id'],
                "user" => $dou->user_basic($row['user_id']),
                "action" => $row['action'],
                "action_format" => $_LANG['point_action_' . $row['action']] ? $_LANG['point_action_' . $row['action']] : $row['action'],
                "from" => $row['from'],
                "point" => $row['point'],
                "total" => $row['total'],
                "create_time" => date("Y-m-d H:i", $row['create_time'])
        );
    }
 
    // 数据封装
    $data['title'] = $_LANG['point_log'];
    $data['log_list'] = $log_list;
    $data['total'] = $dou_user->point($user_id);
}

echo json_encode($data);

?>