<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
define('IN_DOUCO', true);

$sub = 'detail|user';
$subbox = array(
        "module" => 'point',
        "sub" => $sub
);

if (!defined('REWRITE')) {
    $_CUR = 'point';
    require (dirname(__FILE__) . '/include/init.php');
}
$smarty->assign('cur', $_CUR);
$smarty->assign('url', $_URL = $dou->dou_sub_url($subbox));

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

// 赋值给模板-meta和title信息
$smarty->assign('keywords', $_CFG['site_keywords']);
$smarty->assign('description', $_CFG['site_description']);

// 赋值给模板-导航栏
$smarty->assign('nav_top_list', $dou->get_nav('top'));
$smarty->assign('nav_middle_list', $dou->get_nav('middle', 0, 'point', 0));
$smarty->assign('nav_bottom_list', $dou->get_nav('bottom'));

// 赋值给模板-数据
$smarty->assign('rec', $rec);
$smarty->assign('link_user_center', $dou_user->link_user_center($_CUR));
$smarty->assign('if_connect_plugin', $dou->value_exist('plugin', 'plugin_group', 'connect'));

/**
 * +----------------------------------------------------------
 * 产品列表
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('product') . " WHERE point > 0 ORDER BY sort ASC, id DESC";

    // 获取分页信息
    $page = $check->is_number($_REQUEST['page']) ? trim($_REQUEST['page']) : 1;
    $limit = $dou->pager($sql, ($_DISPLAY['point'] ? $_DISPLAY['point'] : 10), $page, $dou->rewrite_url('point'));

    /* 获取产品列表 */
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        // 多语言
        $row = $dou->lang_box($row, 'product', 'name, content, description');

        // 如果描述不存在则自动从详细介绍中截取
        $description = $row['description'] ? $row['description'] : $dou->dou_substr($row['content'], 150, false);

        $product_list[] = array (
                "id" => $row['id'],
                "cat_id" => $row['cat_id'],
                "name" => $row['name'],
                "defined" => $dou->format_defined($row['defined']),
                "price" => $row['price'] > 0 ? $dou->price_format($row['price']) : $_LANG['price_discuss'],
                "thumb" => $dou->dou_file($row['image'], true),
                "image" => $dou->dou_file($row['image']),
                "point" => $row['point'],
                "defined" => $dou->format_defined($row['defined']),
                "add_time" => date("Y-m-d", $row['add_time']),
                "description" => $description,
                "url" => $dou->rewrite_url('point', $row['id']),
                "cate_info" => $cate_info_row
        );
    }
 
    // 赋值给模板-数据
    $smarty->assign('page_title', $dou->page_title('point'));
    $smarty->assign('ur_here', $dou->ur_here('point'));
    $smarty->assign('product_list', $product_list);

    $smarty->display('point.dwt');
}

/**
 * +----------------------------------------------------------
 * 商品简介
 * +----------------------------------------------------------
 */
if ($rec == 'detail') {
    // 获取ID
    $id = $check->is_number($_REQUEST['id']) ? trim($_REQUEST['id']) : '';
    
    /* 获取详细信息 */
    $product = $dou->get_row('product', '*', "id = '$id'");
 
    // 验证商品是否存在
    if (!$product)
        $dou->dou_msg('page_wrong', HOME_URL);

    // 格式化数据
    $product['price'] = $product['price'] > 0 ? $dou->price_format($product['price']) : $_LANG['price_discuss'];
    $product['level_price'] = $level_price ? $dou->price_format($level_price) : '';
    $product['add_time'] = date("Y-m-d", $product['add_time']);
    $product['image'] = $dou->dou_file($product['image']);
    $product['gallery_list'] = $dou->get_file_list('product', $id, 'gallery', true);
    $product['model_list'] = $dou->get_model_list($product['model'], $id);

    // 多语言
    $product = $dou->lang_box($product, 'product', 'name, content, keywords, description');

    // 赋值给模板-数据
    $smarty->assign('page_title', $dou->page_title('point', 'point_detail'));
    $smarty->assign('ur_here', $dou->ur_here('point', 'point_detail'));
    $smarty->assign('product', $product);

    $smarty->display('point.dwt');
} 

/**
 * +----------------------------------------------------------
 * 会员中心
 * +----------------------------------------------------------
 */
elseif ($rec == 'user') {
    // 需要登录且没有登录的情况
    if (!is_array($_GLOBAL_USER))
        $dou->dou_header($_URL['login']);

    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('user_point') . " WHERE user_id = '$_GLOBAL_USER[user_id]' ORDER BY id DESC";
    
    // 分页
    $page = $check->is_number($_REQUEST['page']) ? $_REQUEST['page'] : 1;
    $limit = $dou->pager($sql, 15, $page, $_URL['sub']['user']);
    
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $point_log_list[] = array (
                "id" => $row['id'],
                "user" => $dou->user_basic($row['user_id']),
                "action" => $row['action'],
                "action_format" => $_LANG['point_action_' . $row['action']] ? $_LANG['point_action_' . $row['action']] : $row['action'],
                "from" => $row['from'],
                "point" => $row['point'],
                "total" => $row['total'],
                "create_time" => date("Y-m-d H:i", $row['create_time'])
        );
    }
    
    // 赋值给模板 
    $smarty->assign('page_title', $dou->page_title('user', 'point_log'));
    $smarty->assign('ur_here', $dou->ur_here('user', 'point_log'));
    $smarty->assign('head', $_LANG['point_log']);
    $smarty->assign('point_log_list', $point_log_list);
    $smarty->assign('total', $dou_user->point($_GLOBAL_USER['user_id']));

    $smarty->display('point_user.dwt');
}

?>